"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _remove = _interopRequireDefault(require("lodash/remove"));

var _Box = _interopRequireDefault(require("../../primitives/Box"));

var _hooks = require("../../../hooks");

var _getIndexedChildren = _interopRequireDefault(require("../../../utils/getIndexedChildren"));

var _Context = require("./Context");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Accordion = ({
  children,
  allowMultiple,
  allowToggle,
  onChange,
  ...props
}) => {
  const {
    index: pIndex,
    defaultIndex,
    ...newProps
  } = (0, _hooks.useThemeProps)('Accordion', props);

  const [index, setIndex] = _react.default.useState(pIndex || defaultIndex || []);

  const changeHandler = (isOpening, activeIndex) => {
    let indexCopy = index.map(i => i);

    if (allowToggle) {
      if (isOpening) {
        indexCopy.push(activeIndex);
        allowMultiple ? setIndex(indexCopy) : setIndex([activeIndex]);
      } else {
        setIndex(index.splice(index.indexOf(activeIndex), 1));
      }
    } else {
      if (isOpening) {
        indexCopy.push(activeIndex);
        allowMultiple ? setIndex(indexCopy) : setIndex([activeIndex]);
      } else {
        (0, _remove.default)(indexCopy, n => n === activeIndex);
        setIndex(indexCopy);
      }
    }

    onChange && onChange(indexCopy);
  };

  return /*#__PURE__*/_react.default.createElement(_Context.AccordionContext.Provider, {
    value: {
      index: index,
      changeHandler
    }
  }, /*#__PURE__*/_react.default.createElement(_Box.default, newProps, (0, _getIndexedChildren.default)(children, 'AccordionItem')));
};

var _default = /*#__PURE__*/_react.default.memo(Accordion);

exports.default = _default;
//# sourceMappingURL=Accordion.js.map