"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _primitives = require("../../primitives");

var _Context = require("./Context");

var _utils = require("../../../theme/tools/utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const AlertIcon = ({
  children,
  ...props
}) => {
  const newProps = (0, _utils.omitUndefined)(props);

  const {
    status,
    iconColor
  } = _react.default.useContext(_Context.AlertContext);

  const getIconName = () => {
    switch (status) {
      case 'error':
        return 'error';

      case 'warning':
        return 'warning';

      case 'success':
        return 'check-circle';

      default:
        return 'info';
    }
  }; // TODO: Refactor this and move alignSelf to Icon component.


  return /*#__PURE__*/_react.default.createElement(_primitives.Box, {
    alignSelf: "center"
  }, children || /*#__PURE__*/_react.default.createElement(_primitives.Icon, _extends({
    name: getIconName(),
    type: "MaterialIcons",
    size: 8,
    mr: 4,
    color: iconColor
  }, newProps)));
};

var _default = /*#__PURE__*/_react.default.memo(AlertIcon);

exports.default = _default;
//# sourceMappingURL=AlertIcon.js.map