"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Flex = _interopRequireDefault(require("../../primitives/Flex"));

var _hooks = require("../../../hooks");

var _isNil = _interopRequireDefault(require("lodash/isNil"));

var _Avatar = _interopRequireDefault(require("./Avatar"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const getAvatarGroupChildren = (children, spacing, max, plusAvatarBg, props) => {
  let childrenArray = _react.default.Children.toArray(children);

  let plusAvatars = 0;

  if (!(0, _isNil.default)(max) && max < childrenArray.length && max > 0) {
    plusAvatars = childrenArray.length - max;
    childrenArray = childrenArray.slice(0, max);
  }

  let trailingChildren = childrenArray.slice(1);
  const defaultProps = {
    ml: (0, _isNil.default)(spacing) ? -4 : spacing
  };
  return [plusAvatars > 0 ? /*#__PURE__*/_react.default.createElement(_Avatar.default, _extends({
    bg: plusAvatarBg,
    name: '+ ' + plusAvatars
  }, defaultProps, props)) : null, _react.default.Children.map(trailingChildren.reverse(), child => {
    return /*#__PURE__*/_react.default.cloneElement(child, { ...props,
      ...defaultProps,
      ...child.props
    }, child.props.children);
  }), /*#__PURE__*/_react.default.cloneElement(childrenArray[0], { ...props,
    ...childrenArray[0].props
  }, childrenArray[0].props.children)];
};

const AvatarGroup = allProps => {
  const {
    children,
    spacing,
    max,
    ...props
  } = allProps;
  const {
    borderColor,
    borderWidth,
    bg
  } = (0, _hooks.useThemeProps)('AvatarBadge', props);
  return /*#__PURE__*/_react.default.createElement(_Flex.default, {
    direction: "row-reverse"
  }, getAvatarGroupChildren(children, spacing, max, bg, {
    borderColor,
    borderWidth,
    ...props
  }));
};

var _default = /*#__PURE__*/_react.default.memo(AvatarGroup);

exports.default = _default;
//# sourceMappingURL=Group.js.map