"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "BreadcrumbLink", {
  enumerable: true,
  get: function () {
    return _primitives.Link;
  }
});
Object.defineProperty(exports, "BreadcrumbItem", {
  enumerable: true,
  get: function () {
    return _BreadcrumbItem.default;
  }
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _hooks = require("../../../hooks");

var _tools = require("../../../theme/tools");

var _primitives = require("../../primitives");

var _BreadcrumbSeparator = require("./BreadcrumbSeparator");

var _BreadcrumbItem = _interopRequireDefault(require("./BreadcrumbItem"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Breadcrumb = ({
  style,
  children,
  separator,
  spacing,
  ...props
}) => {
  const [textProps, remainingProps] = (0, _tools.extractInObject)(props, ['fontWeight', 'fontFamily', 'fontSize', 'color', 'textDecoration', 'txtDecor', 'wordBreak', 'textOverflow', 'textTransform', 'whiteSpace', 'overflowWrap', 'bold', 'italic', 'underline', 'strikeThrough', 'isTruncated', 'noOfLines']);
  let newProps = (0, _hooks.useThemeProps)('Breadcrumb', remainingProps);
  return /*#__PURE__*/_react.default.createElement(_primitives.Flex, _extends({}, newProps, {
    style: style
  }), children && !children.length ? children : (0, _BreadcrumbSeparator.getBreadcrumbSeparator)(children, separator, textProps, spacing));
};

var _default = /*#__PURE__*/_react.default.memo(Breadcrumb);

exports.default = _default;
//# sourceMappingURL=index.js.map