"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _native = _interopRequireDefault(require("styled-components/native"));

var _styledSystem = require("styled-system");

var _hooks = require("../../../hooks");

var _customProps = require("../../../utils/customProps");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const StyledDivider = (0, _native.default)(_reactNative.View)(_styledSystem.color, _styledSystem.space, _styledSystem.layout, _styledSystem.flexbox, _styledSystem.border, _customProps.customBorder, _customProps.customBackground, _customProps.customOutline, _customProps.customShadow, _customProps.customExtra, _customProps.customLayout);

const Divider = ({
  style,
  orientation,
  ...props
}) => {
  let orientationProps = orientation === 'vertical' ? {
    width: 0,
    height: '100%'
  } : {
    width: '100%',
    height: 0
  };
  let newProps = (0, _hooks.useThemeProps)('Divider', props);
  return /*#__PURE__*/_react.default.createElement(StyledDivider, _extends({}, orientationProps, newProps, {
    style: style
  }));
};

var _default = /*#__PURE__*/_react.default.memo(Divider);

exports.default = _default;
//# sourceMappingURL=index.js.map