"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MenuOptionGroup = exports.MenuOptionContext = void 0;

var _react = _interopRequireDefault(require("react"));

var _MenuGroup = require("./MenuGroup");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const MenuOptionContext = /*#__PURE__*/_react.default.createContext({
  values: [],
  onChange: _val => {},
  type: 'checkbox'
});

exports.MenuOptionContext = MenuOptionContext;

const MenuOptionGroup = /*#__PURE__*/_react.default.memo(({
  type,
  defaultValue,
  value,
  onChange,
  ...props
}) => {
  let internalDefaultValue = defaultValue ? Array.isArray(defaultValue) ? defaultValue : [defaultValue] : [];

  let [internalValues, setValues] = _react.default.useState(internalDefaultValue);

  onChange = newValue => {
    if (type === 'checkbox') {
      let newValues = [...internalValues];

      if (internalValues.includes(newValue)) {
        newValues.splice(newValues.indexOf(newValue), 1);
        setValues(newValues);
      } else {
        newValues.push(newValue);
        setValues(newValues);
      }
    } else if (type === 'radio') {
      setValues([newValue]);
    }
  };

  return /*#__PURE__*/_react.default.createElement(MenuOptionContext.Provider, {
    value: {
      values: !value ? internalValues : Array.isArray(value) ? value : [value],
      onChange,
      type
    }
  }, /*#__PURE__*/_react.default.createElement(_MenuGroup.MenuGroup, props));
});

exports.MenuOptionGroup = MenuOptionGroup;
//# sourceMappingURL=MenuOptionGroup.js.map