"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _NumberInputStepper = require("./NumberInputStepper");

var _Context = require("./Context");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const NumberIncrementStepper = ({
  children,
  isDisabled: pIsDisabled,
  ...props
}) => {
  const {
    numberInputValue = 0,
    step = 1,
    max = +Infinity,
    handleChange,
    ...context
  } = _react.default.useContext(_Context.NumberInputContext);

  const isDisabled = pIsDisabled || context.isDisabled;

  const pressHandler = () => {
    handleChange && handleChange(numberInputValue + step);
  };

  return /*#__PURE__*/_react.default.createElement(_NumberInputStepper.NBStepper, _extends({
    isIncrement: true,
    isDisabled: isDisabled,
    pressHandler: pressHandler,
    disablitityCheck: numberInputValue + step > max
  }, props), children);
};

var _default = /*#__PURE__*/_react.default.memo(NumberIncrementStepper);

exports.default = _default;
//# sourceMappingURL=NumberIncrementStepper.js.map