"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _hooks = require("../../../hooks");

var _primitives = require("../../primitives");

var _Skeleton = require("./Skeleton");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const NBSkeletonText = ({ ...props
}) => {
  const newProps = (0, _hooks.useThemeProps)('SkeletonText', props);
  const {
    skeletonColor,
    lineSize,
    baseColor,
    noOfLines
  } = newProps;
  const para = [];

  for (let i = 0; i < noOfLines; i++) {
    para.push( /*#__PURE__*/_react.default.createElement(_Skeleton.Skeleton, {
      width: i === noOfLines - 1 ? '70%' : '100%',
      height: lineSize,
      startColor: skeletonColor,
      endColor: baseColor
    }));
  }

  return /*#__PURE__*/_react.default.createElement(_primitives.Stack, _extends({
    space: 3,
    width: "80%"
  }, newProps), para);
};

const SkeletonText = ({
  children,
  isLoaded,
  ...props
}) => {
  if (isLoaded) return /*#__PURE__*/_react.default.createElement(_primitives.Box, props, children);
  return /*#__PURE__*/_react.default.createElement(NBSkeletonText, props);
};

var _default = /*#__PURE__*/_react.default.memo(SkeletonText);

exports.default = _default;
//# sourceMappingURL=SkeletonText.js.map