"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Transitions = require("../Transitions");

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Snackbar = ({
  children,
  duration = 5000,
  accessibilityAnnouncement,
  ...props
}) => {
  const [isOpen, setIsOpen] = _react.default.useState(true);

  _react.default.useEffect(() => {
    isOpen && setTimeout(() => {
      setIsOpen(false);
    }, duration);
  }, [isOpen, duration]);

  _react.default.useEffect(() => {
    if (accessibilityAnnouncement && isOpen && _reactNative.Platform.OS !== 'web') {
      _reactNative.AccessibilityInfo.announceForAccessibility(accessibilityAnnouncement);
    }
  }, [accessibilityAnnouncement, isOpen]);

  return /*#__PURE__*/_react.default.createElement(_Transitions.Slide, _extends({
    in: isOpen
  }, props), children);
};

var _default = /*#__PURE__*/_react.default.memo(Snackbar);

exports.default = _default;
//# sourceMappingURL=Snackbar.js.map