"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.TagRightIcon = exports.TagLeftIcon = exports.TagLabel = void 0;

var _react = _interopRequireDefault(require("react"));

var _native = _interopRequireDefault(require("styled-components/native"));

var _primitives = require("../../primitives");

var _hooks = require("../../../hooks");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const StyledTag = (0, _native.default)(_primitives.Box)({});

const TagLabel = /*#__PURE__*/_react.default.memo(props => {
  return /*#__PURE__*/_react.default.createElement(_primitives.Text, props);
});

exports.TagLabel = TagLabel;

const TagLeftIcon = /*#__PURE__*/_react.default.memo(props => {
  return /*#__PURE__*/_react.default.createElement(_primitives.Box, {
    mr: 1
  }, /*#__PURE__*/_react.default.createElement(_primitives.Icon, props));
});

exports.TagLeftIcon = TagLeftIcon;

const TagRightIcon = /*#__PURE__*/_react.default.memo(props => {
  return /*#__PURE__*/_react.default.createElement(_primitives.Box, {
    ml: 1
  }, /*#__PURE__*/_react.default.createElement(_primitives.Icon, props));
});

exports.TagRightIcon = TagRightIcon;

const Tag = ({
  style,
  ...props
}) => {
  let newProps = (0, _hooks.useThemeProps)('Tag', props);
  return /*#__PURE__*/_react.default.createElement(StyledTag, _extends({
    style: style
  }, newProps));
};

var _default = /*#__PURE__*/_react.default.memo(Tag);

exports.default = _default;
//# sourceMappingURL=index.js.map