"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useToast = void 0;

var _react = _interopRequireDefault(require("react"));

var _Overlay = require("../../../core/Overlay");

var _ToastItem = _interopRequireDefault(require("./ToastItem"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useToast = () => {
  const {
    closeOverlay,
    setOverlay
  } = (0, _Overlay.useOverlay)();

  const setToast = ({
    title,
    duration = 2000,
    position = 'bottom',
    offset
  }) => {
    setTimeout(() => {
      closeOverlay();
    }, duration);
    setOverlay( /*#__PURE__*/_react.default.createElement(_ToastItem.default, {
      title: title,
      offset: offset
    }), {
      position,
      disableOverlay: true
    });
  };

  return setToast;
};

exports.useToast = useToast;
//# sourceMappingURL=hooks.js.map