"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.CheckboxContext = void 0;

var _react = _interopRequireDefault(require("react"));

var _FormControl = require("../../composites/FormControl");

var _Box = _interopRequireDefault(require("../Box"));

var _useCheckboxGroup = require("./useCheckboxGroup");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const CheckboxContext = /*#__PURE__*/_react.default.createContext({});

exports.CheckboxContext = CheckboxContext;

const CheckboxGroup = ({
  size,
  children,
  colorScheme,
  ...props
}) => {
  const formControlContext = _react.default.useContext(_FormControl.FormControlContext);

  const {
    checkboxGroupProps
  } = (0, _useCheckboxGroup.useCheckboxGroup)(props, null, null);
  const {
    onChange,
    values,
    ...restCheckboxGroupProps
  } = checkboxGroupProps;
  return /*#__PURE__*/_react.default.createElement(CheckboxContext.Provider, {
    value: { ...formControlContext,
      size,
      colorScheme,
      onChange,
      value: values
    }
  }, /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    alignItems: "flex-start"
  }, restCheckboxGroupProps, props), children));
};

var _default = /*#__PURE__*/_react.default.memo(CheckboxGroup);

exports.default = _default;
//# sourceMappingURL=CheckboxGroup.js.map