"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCheckboxGroup = useCheckboxGroup;

var _react = _interopRequireDefault(require("react"));

var _hooks = require("../../../hooks");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function useCheckboxGroup(props, _state, _ref) {
  const {
    value: propValue,
    defaultValue,
    onChange: onChangeProp
  } = props;

  const [stateValue, setStateValue] = _react.default.useState(defaultValue || []);

  const [isControlled, value] = (0, _hooks.useControllableProp)(propValue, stateValue);

  const onChange = (checkboxValue, isChecked) => {
    const valuesSet = new Set(value);
    if (isChecked) valuesSet.add(checkboxValue);else valuesSet.delete(checkboxValue);

    if (!isControlled) {
      setStateValue([...valuesSet]);
    }

    onChangeProp && onChangeProp([...valuesSet]);
  };

  return {
    checkboxGroupProps: {
      onChange,
      values: value // No checkbox group role
      // https://reactnative.dev/docs/accessibility#accessibilityrole
      // accessibilityRole: 'checkboxgroup',

    }
  };
}
//# sourceMappingURL=useCheckboxGroup.js.map