"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createIcon = createIcon;

var _react = _interopRequireDefault(require("react"));

var _SVGIcon = _interopRequireDefault(require("./SVGIcon"));

var _reactNativeSvg = require("react-native-svg");

var _isEmpty = _interopRequireDefault(require("lodash/isEmpty"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function createIcon({
  path,
  d,
  ...initialProps
}) {
  const createdIcon = (props, ref) => {
    let children = path;

    if (d && (!path || (0, _isEmpty.default)(path))) {
      children = /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
        fill: "currentColor",
        d: d
      });
    }

    return /*#__PURE__*/_react.default.createElement(_SVGIcon.default, _extends({
      children: children
    }, initialProps, props, {
      ref: ref
    }));
  };

  return /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(createdIcon));
}
//# sourceMappingURL=createIcon.js.map