"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "createIcon", {
  enumerable: true,
  get: function () {
    return _createIcon.createIcon;
  }
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _styledSystem = require("styled-system");

var _customProps = require("../../../utils/customProps");

var _hooks = require("../../../hooks");

var _native = _interopRequireDefault(require("styled-components/native"));

var _vectorIcons = require("@expo/vector-icons");

var _SVGIcon = _interopRequireDefault(require("./SVGIcon"));

var _createIcon = require("./createIcon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const componentMap = {
  AntDesign: _vectorIcons.AntDesign,
  Entypo: _vectorIcons.Entypo,
  EvilIcons: _vectorIcons.EvilIcons,
  Feather: _vectorIcons.Feather,
  FontAwesome: _vectorIcons.FontAwesome,
  FontAwesome5: _vectorIcons.FontAwesome5,
  Fontisto: _vectorIcons.Fontisto,
  Foundation: _vectorIcons.Foundation,
  Ionicons: _vectorIcons.Ionicons,
  MaterialCommunityIcons: _vectorIcons.MaterialCommunityIcons,
  MaterialIcons: _vectorIcons.MaterialIcons,
  Octicons: _vectorIcons.Octicons,
  SimpleLineIcons: _vectorIcons.SimpleLineIcons,
  Zocial: _vectorIcons.Zocial
};

const Icon = (iconProps, ref) => {
  const {
    name,
    type,
    size,
    color: colorProp,
    ...props
  } = iconProps;
  const newProps = (0, _hooks.useThemeProps)('Icon', {
    size,
    color: colorProp,
    ...props
  });
  const rawColor = (0, _hooks.useToken)('colors', newProps.color); // FIXME: temporary code, remove and replace with something generic

  const marginRight = (0, _hooks.useToken)('space', newProps.marginRight || newProps.mr);

  if (!name) {
    return /*#__PURE__*/_react.default.createElement(_SVGIcon.default, iconProps);
  }

  const flattenedIconStyle = _reactNative.StyleSheet.flatten([{
    fontSize: parseInt(newProps.size, 10),
    marginRight: marginRight ? parseInt(marginRight, 10) : undefined
  }]);

  const Component = type ? componentMap[type] : _vectorIcons.MaterialIcons;
  return /*#__PURE__*/_react.default.createElement(Component, _extends({
    name: name
  }, props, {
    style: flattenedIconStyle,
    color: rawColor,
    ref: ref
  }));
};

var _default = (0, _native.default)( /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(Icon)))(_styledSystem.color, _styledSystem.space, _styledSystem.layout, _styledSystem.flexbox, _styledSystem.border, _styledSystem.typography, _styledSystem.position, _customProps.customPosition, _customProps.customBorder, _customProps.customBackground, _customProps.customOutline, _customProps.customShadow, _customProps.customExtra, _customProps.customLayout, _customProps.customTypography);

exports.default = _default;
//# sourceMappingURL=index.js.map