"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _View = _interopRequireDefault(require("./../View"));

var _native = _interopRequireDefault(require("styled-components/native"));

var _utils = require("../../../utils");

var _Box = _interopRequireDefault(require("../Box"));

var _hooks = require("../../../hooks");

var _useLink = require("./useLink");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const StyledLink = (0, _native.default)(_View.default)({});

const addStyleAndPropsToChild = (props, children, IsUnderlined) => {
  return _react.default.Children.map(children, child => {
    let computedStyle = child.props.style;
    computedStyle = _reactNative.StyleSheet.flatten([child.props.style, {
      textDecorationLine: IsUnderlined ? 'underline' : 'none'
    }]);
    return /*#__PURE__*/_react.default.cloneElement(child, { ...props,
      ...child.props,
      style: computedStyle
    }, child.props.children);
  });
};

const Link = ({
  style,
  href,
  isUnderlined = true,
  onClick,
  isExternal,
  children,
  m,
  mt,
  mr,
  ml,
  mb,
  p,
  pt,
  pl,
  pr,
  pb,
  w,
  width,
  h,
  height,
  ...props
}, ref) => {
  const layoutProps = {
    m,
    mt,
    mr,
    ml,
    mb,
    p,
    pt,
    pr,
    pl,
    pb,
    w,
    width,
    h,
    height
  };
  let newProps = (0, _hooks.useThemeProps)('Link', props);
  const {
    linkProps
  } = (0, _useLink.useLink)({
    href,
    onClick,
    isExternal
  });
  return /*#__PURE__*/_react.default.createElement(_Box.default, layoutProps, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, _extends({}, linkProps, newProps, {
    ref: ref
  }), /*#__PURE__*/_react.default.createElement(StyledLink, _extends({}, newProps, {
    flexDirection: "row",
    textDecorationLine: isUnderlined ? 'underline' : 'none',
    style: style
  }), addStyleAndPropsToChild(newProps, (0, _utils.addTextAndPropsToStrings)(children, newProps), isUnderlined))));
};

var _default = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(Link));

exports.default = _default;
//# sourceMappingURL=index.js.map