"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ListIcon = exports.ListItem = exports.Ul = exports.Ol = void 0;

var _react = _interopRequireDefault(require("react"));

var _Stack = require("../Stack");

var _Box = _interopRequireDefault(require("../Box"));

var _Text = _interopRequireDefault(require("../Text"));

var _Icon = _interopRequireDefault(require("../Icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const List = ({
  style,
  children,
  spacing,
  ...props
}) => {
  // add props to children
  children = _react.default.Children.map(children, (child, ind) => {
    return /*#__PURE__*/_react.default.cloneElement(child, {
      index: ind,
      ...props
    }, child.props.children);
  });
  return /*#__PURE__*/_react.default.createElement(_Box.default, _extends({}, props, {
    style: style
  }), /*#__PURE__*/_react.default.createElement(_Stack.VStack, _extends({
    space: spacing
  }, props), children));
};

const Ol = ({
  style,
  children,
  spacing,
  ...props
}) => {
  // add props to children
  children = _react.default.Children.map(children, (child, ind) => {
    return /*#__PURE__*/_react.default.cloneElement(child, {
      index: ind,
      ...props,
      ol: true
    }, child.props.children);
  });
  return /*#__PURE__*/_react.default.createElement(_Box.default, _extends({}, props, {
    style: style
  }), /*#__PURE__*/_react.default.createElement(_Stack.VStack, _extends({
    space: spacing
  }, props), children));
};

exports.Ol = Ol;

const Ul = ({
  style,
  children,
  spacing,
  ...props
}) => {
  // add props to children
  children = _react.default.Children.map(children, (child, ind) => {
    return /*#__PURE__*/_react.default.cloneElement(child, {
      index: ind,
      ...props,
      ul: true
    }, child.props.children);
  });
  return /*#__PURE__*/_react.default.createElement(_Box.default, _extends({}, props, {
    style: style
  }), /*#__PURE__*/_react.default.createElement(_Stack.VStack, _extends({
    space: spacing
  }, props), children));
};

exports.Ul = Ul;

const ListItem = /*#__PURE__*/_react.default.memo(props => {
  const {
    children,
    unordered,
    ul,
    ordered,
    ol,
    ...remainingProps
  } = props;
  const startNum = remainingProps.start ? remainingProps.start : 1; // Ordered list starting number

  return /*#__PURE__*/_react.default.createElement(_Box.default, {
    flexDirection: "row",
    alignItems: "center"
  }, /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    flexDirection: "row",
    alignItems: "center"
  }, remainingProps), unordered || ul ?
  /*#__PURE__*/
  //Adding disc in front of ListItem
  _react.default.createElement(_Text.default, {
    mr: 2,
    fontSize: remainingProps.fontSize,
    color: remainingProps.color,
    style: {
      transform: [{
        scale: 1.5
      }]
    }
  }, "\u2022") : null, ordered || ol ?
  /*#__PURE__*/
  //Adding index number in front of ListItem
  _react.default.createElement(_Text.default, {
    mr: 2,
    fontSize: remainingProps.fontSize,
    color: remainingProps.color
  }, remainingProps.index + startNum + '.') : null), /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    flexDirection: "row",
    alignItems: "center"
  }, remainingProps), children));
});

exports.ListItem = ListItem;

const ListIcon = /*#__PURE__*/_react.default.memo(props => {
  return /*#__PURE__*/_react.default.createElement(_Icon.default, _extends({
    mr: 2
  }, props));
});

exports.ListIcon = ListIcon;

var _default = /*#__PURE__*/_react.default.memo(List);

exports.default = _default;
//# sourceMappingURL=index.js.map