"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Icon = _interopRequireDefault(require("../Icon"));

var _Box = _interopRequireDefault(require("../Box"));

var _hooks = require("../../../hooks");

var _RadioGroup = require("./RadioGroup");

var _useRadio = require("./useRadio");

var _utils = require("./../../../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Radio = ({
  icon,
  children,
  ...props
}, ref) => {
  const contextState = _react.default.useContext(_RadioGroup.RadioContext);

  const {
    activeColor,
    borderColor,
    size,
    // isInvalid,
    ...newProps
  } = (0, _hooks.useThemeProps)('Radio', { ...contextState,
    ...props
  }); // only calling below function when icon exist.

  const sizedIcon = () => {
    var _icon$props$color;

    return (
      /*#__PURE__*/
      //@ts-ignore
      _react.default.cloneElement(icon, {
        size,
        color: //@ts-ignore
        ((_icon$props$color = icon.props.color) !== null && _icon$props$color !== void 0 ? _icon$props$color : checked) ? isDisabled ? borderColor : activeColor : borderColor
      })
    );
  };

  const {
    inputProps
  } = (0, _useRadio.useRadio)(props, contextState, null);
  const {
    checked,
    disabled: isDisabled
  } = inputProps;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    activeOpacity: 1,
    ref: ref
  }, inputProps), /*#__PURE__*/_react.default.createElement(_utils.Hoverable, null, isHovered => {
    const outlineColor = isHovered && !isDisabled ? activeColor : checked ? isDisabled ? borderColor : activeColor : borderColor;
    return /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
      flexDirection: "row",
      justifyContent: "center",
      alignItems: "center"
    }, newProps, {
      opacity: isDisabled ? 0.4 : 1
    }, _reactNative.Platform.OS === 'web' ? {
      disabled: isDisabled,
      cursor: isDisabled ? 'not-allowed' : 'auto'
    } : {}), /*#__PURE__*/_react.default.createElement(_Box.default, {
      borderColor: outlineColor,
      backgroundColor: isDisabled ? 'muted.200' : 'transparent',
      borderWidth: 1,
      display: "flex",
      justifyContent: "center",
      alignItems: "center",
      borderRadius: 999,
      p: '2px'
    }, icon && checked ? sizedIcon() : /*#__PURE__*/_react.default.createElement(_Icon.default, {
      name: "circle",
      type: "MaterialCommunityIcons",
      size: size,
      color: checked ? isDisabled ? borderColor : activeColor : 'transparent',
      opacity: checked ? 1 : 0
    })), children);
  }));
};

var _default = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(Radio));

exports.default = _default;
//# sourceMappingURL=Radio.js.map