"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.RadioContext = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("../Box"));

var _FormControl = require("../../composites/FormControl");

var _useRadioGroup = require("./useRadioGroup");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const RadioContext = /*#__PURE__*/_react.default.createContext({
  onChange: _value => {},
  name: ''
});

exports.RadioContext = RadioContext;

const RadioGroup = ({
  size,
  colorScheme,
  ...props
}) => {
  const formControlContext = _react.default.useContext(_FormControl.FormControlContext);

  const {
    radioGroupProps
  } = (0, _useRadioGroup.useRadioGroup)(props, null);
  const {
    onChange,
    value,
    name,
    ...restRadioGroupProps
  } = radioGroupProps;
  return /*#__PURE__*/_react.default.createElement(RadioContext.Provider, {
    value: { ...formControlContext,
      onChange,
      size,
      colorScheme,
      value,
      name
    }
  }, /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    alignItems: "flex-start"
  }, restRadioGroupProps, props), props.children));
};

var _default = /*#__PURE__*/_react.default.memo(RadioGroup);

exports.default = _default;
//# sourceMappingURL=RadioGroup.js.map