"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useRadioGroup = useRadioGroup;

var _react = _interopRequireDefault(require("react"));

var _hooks = require("../../../hooks");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function useRadioGroup(props, _state) {
  const {
    onChange: onChangeProp,
    value: valueProp,
    defaultValue,
    name
  } = props;

  const [valueState, setValue] = _react.default.useState(defaultValue || '');

  const [isControlled, value] = (0, _hooks.useControllableProp)(valueProp, valueState);

  const onChange = nextValue => {
    if (!isControlled) {
      setValue(nextValue);
    }

    onChangeProp === null || onChangeProp === void 0 ? void 0 : onChangeProp(nextValue);
  };

  return {
    radioGroupProps: {
      accessibilityRole: 'radiogroup',
      onChange,
      value,
      name
    }
  };
}
//# sourceMappingURL=useRadioGroup.js.map