"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@testing-library/react-native");

var _nativeBase = require("native-base");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.useFakeTimers();
describe('Switch', () => {
  it('onToggle on Switch', () => {
    let {
      getAllByRole
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_nativeBase.NativeBaseProvider, null, /*#__PURE__*/_react.default.createElement(_.Switch, null)));
    let switches = getAllByRole('switch');
    expect(switches[0].props.accessibilityState.checked).toBe(false);

    _reactNative.fireEvent.press(switches[0]);

    expect(switches[0].props.accessibilityState.checked).toBe(true);
  });
  it('can be default checked', () => {
    let {
      getAllByRole
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_nativeBase.NativeBaseProvider, null, /*#__PURE__*/_react.default.createElement(_.Switch, {
      defaultIsChecked: true
    })));
    let switches = getAllByRole('switch');
    expect(switches[0].props.accessibilityState.checked).toBe(true);
  });
  it('can be disabled', () => {
    let {
      getAllByRole
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_nativeBase.NativeBaseProvider, null, /*#__PURE__*/_react.default.createElement(_.Switch, {
      isDisabled: true
    })));
    let switches = getAllByRole('switch');
    expect(switches[0].props.accessibilityState.disabled).toBe(true);
  });
});
//# sourceMappingURL=switch.test.js.map