"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  useOverlay: true,
  usePopover: true,
  useColorMode: true,
  useColorModeValue: true
};
Object.defineProperty(exports, "useOverlay", {
  enumerable: true,
  get: function () {
    return _Overlay.useOverlay;
  }
});
Object.defineProperty(exports, "usePopover", {
  enumerable: true,
  get: function () {
    return _Popover.usePopover;
  }
});
Object.defineProperty(exports, "useColorMode", {
  enumerable: true,
  get: function () {
    return _colorMode.useColorMode;
  }
});
Object.defineProperty(exports, "useColorModeValue", {
  enumerable: true,
  get: function () {
    return _colorMode.useColorModeValue;
  }
});

var _NativeBaseProvider = require("./NativeBaseProvider");

Object.keys(_NativeBaseProvider).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _NativeBaseProvider[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _NativeBaseProvider[key];
    }
  });
});

var _extendTheme = require("./extendTheme");

Object.keys(_extendTheme).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _extendTheme[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _extendTheme[key];
    }
  });
});

var _Overlay = require("./Overlay");

var _Popover = require("./Popover");

var _colorMode = require("./color-mode");
//# sourceMappingURL=index.js.map