"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePropsWithComponentTheme = usePropsWithComponentTheme;

var _omit = _interopRequireDefault(require("lodash/omit"));

var _reactNative = require("react-native");

var _useNativeBase = require("./../useNativeBase");

var _utils = require("./utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function usePropsWithComponentTheme(localTheme, propsReceived) {
  var _useWindowDimensions;

  const {
    theme,
    ...colorModeProps
  } = (0, _useNativeBase.useNativeBase)();
  let windowWidth = (_useWindowDimensions = (0, _reactNative.useWindowDimensions)()) === null || _useWindowDimensions === void 0 ? void 0 : _useWindowDimensions.width;
  return (0, _utils.calculateProps)((0, _omit.default)(theme, 'components'), colorModeProps, localTheme, propsReceived, windowWidth);
}
//# sourceMappingURL=usePropsWithComponentTheme.js.map