"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AccordionPanel = exports.AccordionButton = exports.AccordionIcon = exports.AccordionItem = exports.Accordion = void 0;

var _tools = require("../tools");

// Accordion
const accordionBaseStyle = props => {
  return {
    borderWidth: 1,
    borderColor: (0, _tools.mode)('gray.800', 'gray.50')(props),
    borderRadius: 'lg'
  };
};

const Accordion = {
  baseStyle: accordionBaseStyle
}; // AccordionItem

exports.Accordion = Accordion;
const AccordionItem = {}; // AccordionIcon

exports.AccordionItem = AccordionItem;
const AccordionIcon = {}; // AccordionButton

exports.AccordionIcon = AccordionIcon;

const accordionButtonBaseStyle = props => {
  return {
    borderWidth: 1,
    borderColor: 'transparent',
    borderTopColor: (0, _tools.mode)('gray.800', 'gray.50')(props),
    p: 3,
    _hover: {
      bg: (0, _tools.mode)('default.200', 'default.300')(props)
    },
    _expanded: {
      bg: 'default.600',
      borderBottomColor: (0, _tools.mode)('gray.800', 'gray.50')(props),
      color: 'white'
    },
    _disabled: {
      bg: (0, _tools.mode)('gray.200', 'gray.700')(props)
    }
  };
};

const AccordionButton = {
  baseStyle: accordionButtonBaseStyle
}; // AccordionPanel

exports.AccordionButton = AccordionButton;
const accordionPanelBaseStyle = {
  p: 3
};
const AccordionPanel = {
  baseStyle: accordionPanelBaseStyle
};
exports.AccordionPanel = AccordionPanel;
//# sourceMappingURL=accordion.js.map