"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _tools = require("./../tools");

const baseStyle = props => {
  return {
    color: (0, _tools.mode)('gray.800', 'white')(props),
    fontWeight: 'bold'
  };
};

const sizeArray = ['2xl', 'xl', 'lg', 'md', 'sm', 'xs'];

function sizes(props) {
  const {
    size
  } = props;

  if (typeof size === 'number') {
    return {
      fontSize: size
    };
  } else if (typeof size === 'string' && !sizeArray.includes(size)) {
    return {
      fontSize: size
    };
  } else {
    return {
      '2xl': {
        fontSize: '4xl'
      },
      'xl': {
        fontSize: '3xl'
      },
      'lg': {
        fontSize: '2xl'
      },
      'md': {
        fontSize: 'xl'
      },
      'sm': {
        fontSize: 'md'
      },
      'xs': {
        fontSize: 'sm'
      }
    };
  }
}

const defaultProps = {
  size: 'xl'
};
var _default = {
  baseStyle,
  sizes,
  defaultProps
};
exports.default = _default;
//# sourceMappingURL=heading.js.map