function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import Flex from '../../primitives/Flex';
import { useThemeProps } from '../../../hooks';
import isNil from 'lodash/isNil';
import { default as Avatar } from './Avatar';

const getAvatarGroupChildren = (children, spacing, max, plusAvatarBg, props) => {
  let childrenArray = React.Children.toArray(children);
  let plusAvatars = 0;

  if (!isNil(max) && max < childrenArray.length && max > 0) {
    plusAvatars = childrenArray.length - max;
    childrenArray = childrenArray.slice(0, max);
  }

  let trailingChildren = childrenArray.slice(1);
  const defaultProps = {
    ml: isNil(spacing) ? -4 : spacing
  };
  return [plusAvatars > 0 ? /*#__PURE__*/React.createElement(Avatar, _extends({
    bg: plusAvatarBg,
    name: '+ ' + plusAvatars
  }, defaultProps, props)) : null, React.Children.map(trailingChildren.reverse(), child => {
    return /*#__PURE__*/React.cloneElement(child, { ...props,
      ...defaultProps,
      ...child.props
    }, child.props.children);
  }), /*#__PURE__*/React.cloneElement(childrenArray[0], { ...props,
    ...childrenArray[0].props
  }, childrenArray[0].props.children)];
};

const AvatarGroup = allProps => {
  const {
    children,
    spacing,
    max,
    ...props
  } = allProps;
  const {
    borderColor,
    borderWidth,
    bg
  } = useThemeProps('AvatarBadge', props);
  return /*#__PURE__*/React.createElement(Flex, {
    direction: "row-reverse"
  }, getAvatarGroupChildren(children, spacing, max, bg, {
    borderColor,
    borderWidth,
    ...props
  }));
};

export default /*#__PURE__*/React.memo(AvatarGroup);
//# sourceMappingURL=Group.js.map