import React from 'react';
import Flex from '../../primitives/Flex';

const BreadcrumbItem = props => {
  const {
    children,
    isCurrentPage,
    ...remainingProps
  } = props;
  return /*#__PURE__*/React.createElement(Flex, remainingProps, React.Children.map(children, (child, index) => /*#__PURE__*/React.cloneElement(child, {
    key: "breadcrumb-item-".concat(index),
    ...{
      isUnderlined: false,
      fontWeight: isCurrentPage ? 'bold' : undefined
    },
    ...remainingProps
  })));
};

export default /*#__PURE__*/React.memo(BreadcrumbItem);
//# sourceMappingURL=BreadcrumbItem.js.map