function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { useThemeProps } from '../../../hooks';
import { extractInObject } from '../../../theme/tools';
import { Flex, Link as BreadcrumbLink } from '../../primitives';
import { getBreadcrumbSeparator } from './BreadcrumbSeparator';

const Breadcrumb = ({
  style,
  children,
  separator,
  spacing,
  ...props
}) => {
  const [textProps, remainingProps] = extractInObject(props, ['fontWeight', 'fontFamily', 'fontSize', 'color', 'textDecoration', 'txtDecor', 'wordBreak', 'textOverflow', 'textTransform', 'whiteSpace', 'overflowWrap', 'bold', 'italic', 'underline', 'strikeThrough', 'isTruncated', 'noOfLines']);
  let newProps = useThemeProps('Breadcrumb', remainingProps);
  return /*#__PURE__*/React.createElement(Flex, _extends({}, newProps, {
    style: style
  }), children && !children.length ? children : getBreadcrumbSeparator(children, separator, textProps, spacing));
};

export default /*#__PURE__*/React.memo(Breadcrumb);
export { default as BreadcrumbItem } from './BreadcrumbItem';
export { BreadcrumbLink };
//# sourceMappingURL=index.js.map