function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import Box from '../../primitives/Box';
import Bones from './Bones';
export const Skeleton = /*#__PURE__*/React.memo(({
  children,
  isLoaded,
  ...props
}) => {
  if (isLoaded) return /*#__PURE__*/React.createElement(Box, props, children);

  const hideChildren = () => {
    return React.Children.map(children, (child, index) => {
      return /*#__PURE__*/React.cloneElement(child, {
        opacity: 0,
        key: "skeleton-hide-child-".concat(index)
      }, child.props.children);
    });
  };

  return /*#__PURE__*/React.createElement(Bones, _extends({
    width: "100%"
  }, props), children ? hideChildren() : null);
});
//# sourceMappingURL=Skeleton.js.map