function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { useThemeProps } from '../../../hooks';
import { Box, Stack } from '../../primitives';
import { Skeleton } from './Skeleton';

const NBSkeletonText = ({ ...props
}) => {
  const newProps = useThemeProps('SkeletonText', props);
  const {
    skeletonColor,
    lineSize,
    baseColor,
    noOfLines
  } = newProps;
  const para = [];

  for (let i = 0; i < noOfLines; i++) {
    para.push( /*#__PURE__*/React.createElement(Skeleton, {
      width: i === noOfLines - 1 ? '70%' : '100%',
      height: lineSize,
      startColor: skeletonColor,
      endColor: baseColor
    }));
  }

  return /*#__PURE__*/React.createElement(Stack, _extends({
    space: 3,
    width: "80%"
  }, newProps), para);
};

const SkeletonText = ({
  children,
  isLoaded,
  ...props
}) => {
  if (isLoaded) return /*#__PURE__*/React.createElement(Box, props, children);
  return /*#__PURE__*/React.createElement(NBSkeletonText, props);
};

export default /*#__PURE__*/React.memo(SkeletonText);
//# sourceMappingURL=SkeletonText.js.map