import React from 'react';
import { useOverlay } from '../../../core/Overlay';
import ToastItem from './ToastItem';
export const useToast = () => {
  const {
    closeOverlay,
    setOverlay
  } = useOverlay();

  const setToast = ({
    title,
    duration = 2000,
    position = 'bottom',
    offset
  }) => {
    setTimeout(() => {
      closeOverlay();
    }, duration);
    setOverlay( /*#__PURE__*/React.createElement(ToastItem, {
      title: title,
      offset: offset
    }), {
      position,
      disableOverlay: true
    });
  };

  return setToast;
};
//# sourceMappingURL=hooks.js.map