function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { forwardRef } from 'react';
import { View } from 'react-native';
import styled from 'styled-components/native';
import { border, color, flexbox, layout, position, space, typography } from 'styled-system';
import { useThemeProps } from '../../../hooks/useThemeProps';
import { themeTools } from '../../../theme';
import { addTextAndPropsToStrings } from '../../../utils/addTextAndPropsToStrings';
import { customBackground, customBorder, customExtra, customLayout, customOutline, customPosition, customShadow, customTypography } from '../../../utils/customProps';
const StyledBox = styled(View)(color, space, layout, flexbox, border, position, typography, customPosition, customBorder, customBackground, customOutline, customShadow, customExtra, customTypography, customLayout);

const Box = ({
  children,
  ...props
}, ref) => {
  // TextProps that contain all the props related to text and gets added to child text components using addTextAndPropsToStrings() method
  let [textProps, remainingProps] = themeTools.extractInObject(props, ['fontWeight', 'fontFamily', 'fontSize', 'color', 'textDecoration', 'txtDecor', 'wordBreak', 'textOverflow', 'textTransform', 'whiteSpace', 'overflowWrap']);
  const boxProps = useThemeProps('Box', remainingProps);
  return /*#__PURE__*/React.createElement(StyledBox, _extends({
    ref: ref
  }, boxProps), addTextAndPropsToStrings(children, textProps));
};

export default /*#__PURE__*/React.memo( /*#__PURE__*/forwardRef(Box));
//# sourceMappingURL=index.js.map