function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { FormControlContext } from '../../composites/FormControl';
import Box from '../Box';
import { useCheckboxGroup } from './useCheckboxGroup';
export const CheckboxContext = /*#__PURE__*/React.createContext({});

const CheckboxGroup = ({
  size,
  children,
  colorScheme,
  ...props
}) => {
  const formControlContext = React.useContext(FormControlContext);
  const {
    checkboxGroupProps
  } = useCheckboxGroup(props, null, null);
  const {
    onChange,
    values,
    ...restCheckboxGroupProps
  } = checkboxGroupProps;
  return /*#__PURE__*/React.createElement(CheckboxContext.Provider, {
    value: { ...formControlContext,
      size,
      colorScheme,
      onChange,
      value: values
    }
  }, /*#__PURE__*/React.createElement(Box, _extends({
    alignItems: "flex-start"
  }, restCheckboxGroupProps, props), children));
};

export default /*#__PURE__*/React.memo(CheckboxGroup);
//# sourceMappingURL=CheckboxGroup.js.map