function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { StyleSheet } from 'react-native';
import { border, color, flexbox, layout, space, typography, position } from 'styled-system';
import { customBorder, customBackground, customOutline, customLayout, customExtra, customShadow, customTypography, customPosition } from '../../../utils/customProps';
import { useThemeProps, useToken } from '../../../hooks';
import styled from 'styled-components/native';
import { AntDesign, Entypo, EvilIcons, Feather, FontAwesome, FontAwesome5, Fontisto, Foundation, Ionicons, MaterialCommunityIcons, MaterialIcons, Octicons, SimpleLineIcons, Zocial } from '@expo/vector-icons';
import SVGIcon from './SVGIcon';
const componentMap = {
  AntDesign,
  Entypo,
  EvilIcons,
  Feather,
  FontAwesome,
  FontAwesome5,
  Fontisto,
  Foundation,
  Ionicons,
  MaterialCommunityIcons,
  MaterialIcons,
  Octicons,
  SimpleLineIcons,
  Zocial
};

const Icon = (iconProps, ref) => {
  const {
    name,
    type,
    size,
    color: colorProp,
    ...props
  } = iconProps;
  const newProps = useThemeProps('Icon', {
    size,
    color: colorProp,
    ...props
  });
  const rawColor = useToken('colors', newProps.color); // FIXME: temporary code, remove and replace with something generic

  const marginRight = useToken('space', newProps.marginRight || newProps.mr);

  if (!name) {
    return /*#__PURE__*/React.createElement(SVGIcon, iconProps);
  }

  const flattenedIconStyle = StyleSheet.flatten([{
    fontSize: parseInt(newProps.size, 10),
    marginRight: marginRight ? parseInt(marginRight, 10) : undefined
  }]);
  const Component = type ? componentMap[type] : MaterialIcons;
  return /*#__PURE__*/React.createElement(Component, _extends({
    name: name
  }, props, {
    style: flattenedIconStyle,
    color: rawColor,
    ref: ref
  }));
};

export default styled( /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(Icon)))(color, space, layout, flexbox, border, typography, position, customPosition, customBorder, customBackground, customOutline, customShadow, customExtra, customLayout, customTypography);
export { createIcon } from './createIcon';
//# sourceMappingURL=index.js.map