function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { TouchableWithoutFeedback, StyleSheet } from 'react-native';
import View from './../View';
import styled from 'styled-components/native';
import { addTextAndPropsToStrings } from '../../../utils';
import Box from '../Box';
import { useThemeProps } from '../../../hooks';
import { useLink } from './useLink';
const StyledLink = styled(View)({});

const addStyleAndPropsToChild = (props, children, IsUnderlined) => {
  return React.Children.map(children, child => {
    let computedStyle = child.props.style;
    computedStyle = StyleSheet.flatten([child.props.style, {
      textDecorationLine: IsUnderlined ? 'underline' : 'none'
    }]);
    return /*#__PURE__*/React.cloneElement(child, { ...props,
      ...child.props,
      style: computedStyle
    }, child.props.children);
  });
};

const Link = ({
  style,
  href,
  isUnderlined = true,
  onClick,
  isExternal,
  children,
  m,
  mt,
  mr,
  ml,
  mb,
  p,
  pt,
  pl,
  pr,
  pb,
  w,
  width,
  h,
  height,
  ...props
}, ref) => {
  const layoutProps = {
    m,
    mt,
    mr,
    ml,
    mb,
    p,
    pt,
    pr,
    pl,
    pb,
    w,
    width,
    h,
    height
  };
  let newProps = useThemeProps('Link', props);
  const {
    linkProps
  } = useLink({
    href,
    onClick,
    isExternal
  });
  return /*#__PURE__*/React.createElement(Box, layoutProps, /*#__PURE__*/React.createElement(TouchableWithoutFeedback, _extends({}, linkProps, newProps, {
    ref: ref
  }), /*#__PURE__*/React.createElement(StyledLink, _extends({}, newProps, {
    flexDirection: "row",
    textDecorationLine: isUnderlined ? 'underline' : 'none',
    style: style
  }), addStyleAndPropsToChild(newProps, addTextAndPropsToStrings(children, newProps), isUnderlined))));
};

export default /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(Link));
//# sourceMappingURL=index.js.map