function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { VStack } from '../Stack';
import Box from '../Box';
import Text from '../Text';
import { default as Icon } from '../Icon';

const List = ({
  style,
  children,
  spacing,
  ...props
}) => {
  // add props to children
  children = React.Children.map(children, (child, ind) => {
    return /*#__PURE__*/React.cloneElement(child, {
      index: ind,
      ...props
    }, child.props.children);
  });
  return /*#__PURE__*/React.createElement(Box, _extends({}, props, {
    style: style
  }), /*#__PURE__*/React.createElement(VStack, _extends({
    space: spacing
  }, props), children));
};

export const Ol = ({
  style,
  children,
  spacing,
  ...props
}) => {
  // add props to children
  children = React.Children.map(children, (child, ind) => {
    return /*#__PURE__*/React.cloneElement(child, {
      index: ind,
      ...props,
      ol: true
    }, child.props.children);
  });
  return /*#__PURE__*/React.createElement(Box, _extends({}, props, {
    style: style
  }), /*#__PURE__*/React.createElement(VStack, _extends({
    space: spacing
  }, props), children));
};
export const Ul = ({
  style,
  children,
  spacing,
  ...props
}) => {
  // add props to children
  children = React.Children.map(children, (child, ind) => {
    return /*#__PURE__*/React.cloneElement(child, {
      index: ind,
      ...props,
      ul: true
    }, child.props.children);
  });
  return /*#__PURE__*/React.createElement(Box, _extends({}, props, {
    style: style
  }), /*#__PURE__*/React.createElement(VStack, _extends({
    space: spacing
  }, props), children));
};
export const ListItem = /*#__PURE__*/React.memo(props => {
  const {
    children,
    unordered,
    ul,
    ordered,
    ol,
    ...remainingProps
  } = props;
  const startNum = remainingProps.start ? remainingProps.start : 1; // Ordered list starting number

  return /*#__PURE__*/React.createElement(Box, {
    flexDirection: "row",
    alignItems: "center"
  }, /*#__PURE__*/React.createElement(Box, _extends({
    flexDirection: "row",
    alignItems: "center"
  }, remainingProps), unordered || ul ?
  /*#__PURE__*/
  //Adding disc in front of ListItem
  React.createElement(Text, {
    mr: 2,
    fontSize: remainingProps.fontSize,
    color: remainingProps.color,
    style: {
      transform: [{
        scale: 1.5
      }]
    }
  }, "\u2022") : null, ordered || ol ?
  /*#__PURE__*/
  //Adding index number in front of ListItem
  React.createElement(Text, {
    mr: 2,
    fontSize: remainingProps.fontSize,
    color: remainingProps.color
  }, remainingProps.index + startNum + '.') : null), /*#__PURE__*/React.createElement(Box, _extends({
    flexDirection: "row",
    alignItems: "center"
  }, remainingProps), children));
});
export const ListIcon = /*#__PURE__*/React.memo(props => {
  return /*#__PURE__*/React.createElement(Icon, _extends({
    mr: 2
  }, props));
});
export default /*#__PURE__*/React.memo(List);
//# sourceMappingURL=index.js.map