function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { TouchableOpacity, Platform } from 'react-native';
import Icon from '../Icon';
import Box from '../Box';
import { useThemeProps } from '../../../hooks';
import { RadioContext } from './RadioGroup';
import { useRadio } from './useRadio';
import { Hoverable } from './../../../utils';

const Radio = ({
  icon,
  children,
  ...props
}, ref) => {
  const contextState = React.useContext(RadioContext);
  const {
    activeColor,
    borderColor,
    size,
    // isInvalid,
    ...newProps
  } = useThemeProps('Radio', { ...contextState,
    ...props
  }); // only calling below function when icon exist.

  const sizedIcon = () => {
    var _icon$props$color;

    return (
      /*#__PURE__*/
      //@ts-ignore
      React.cloneElement(icon, {
        size,
        color: //@ts-ignore
        ((_icon$props$color = icon.props.color) !== null && _icon$props$color !== void 0 ? _icon$props$color : checked) ? isDisabled ? borderColor : activeColor : borderColor
      })
    );
  };

  const {
    inputProps
  } = useRadio(props, contextState, null);
  const {
    checked,
    disabled: isDisabled
  } = inputProps;
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    activeOpacity: 1,
    ref: ref
  }, inputProps), /*#__PURE__*/React.createElement(Hoverable, null, isHovered => {
    const outlineColor = isHovered && !isDisabled ? activeColor : checked ? isDisabled ? borderColor : activeColor : borderColor;
    return /*#__PURE__*/React.createElement(Box, _extends({
      flexDirection: "row",
      justifyContent: "center",
      alignItems: "center"
    }, newProps, {
      opacity: isDisabled ? 0.4 : 1
    }, Platform.OS === 'web' ? {
      disabled: isDisabled,
      cursor: isDisabled ? 'not-allowed' : 'auto'
    } : {}), /*#__PURE__*/React.createElement(Box, {
      borderColor: outlineColor,
      backgroundColor: isDisabled ? 'muted.200' : 'transparent',
      borderWidth: 1,
      display: "flex",
      justifyContent: "center",
      alignItems: "center",
      borderRadius: 999,
      p: '2px'
    }, icon && checked ? sizedIcon() : /*#__PURE__*/React.createElement(Icon, {
      name: "circle",
      type: "MaterialCommunityIcons",
      size: size,
      color: checked ? isDisabled ? borderColor : activeColor : 'transparent',
      opacity: checked ? 1 : 0
    })), children);
  }));
};

export default /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(Radio));
//# sourceMappingURL=Radio.js.map