function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import Box from '../Box';
import { FormControlContext } from '../../composites/FormControl';
import { useRadioGroup } from './useRadioGroup';
export const RadioContext = /*#__PURE__*/React.createContext({
  onChange: _value => {},
  name: ''
});

const RadioGroup = ({
  size,
  colorScheme,
  ...props
}) => {
  const formControlContext = React.useContext(FormControlContext);
  const {
    radioGroupProps
  } = useRadioGroup(props, null);
  const {
    onChange,
    value,
    name,
    ...restRadioGroupProps
  } = radioGroupProps;
  return /*#__PURE__*/React.createElement(RadioContext.Provider, {
    value: { ...formControlContext,
      onChange,
      size,
      colorScheme,
      value,
      name
    }
  }, /*#__PURE__*/React.createElement(Box, _extends({
    alignItems: "flex-start"
  }, restRadioGroupProps, props), props.children));
};

export default /*#__PURE__*/React.memo(RadioGroup);
//# sourceMappingURL=RadioGroup.js.map