import React from 'react';
import { useControllableProp } from '../../../hooks';
export function useRadioGroup(props, _state) {
  const {
    onChange: onChangeProp,
    value: valueProp,
    defaultValue,
    name
  } = props;
  const [valueState, setValue] = React.useState(defaultValue || '');
  const [isControlled, value] = useControllableProp(valueProp, valueState);

  const onChange = nextValue => {
    if (!isControlled) {
      setValue(nextValue);
    }

    onChangeProp === null || onChangeProp === void 0 ? void 0 : onChangeProp(nextValue);
  };

  return {
    radioGroupProps: {
      accessibilityRole: 'radiogroup',
      onChange,
      value,
      name
    }
  };
}
//# sourceMappingURL=useRadioGroup.js.map