function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import styled from 'styled-components/native';
import { default as View } from '../View';
import { getSpacedChildren } from '../../../utils';
const StyledStack = styled(View)({});

const Stack = props => {
  const {
    space,
    children,
    divider,
    reversed,
    direction,
    ...remainingProps
  } = props;
  return /*#__PURE__*/React.createElement(StyledStack, _extends({
    flexDirection: direction
  }, remainingProps), getSpacedChildren(children, space, direction === 'row' ? 'X' : 'Y', reversed ? 'reverse' : 'normal', divider));
};

export const VStack = Stack;
export const HStack = /*#__PURE__*/React.memo(props => {
  return Stack({ ...props,
    direction: 'row'
  });
});
export default /*#__PURE__*/React.memo(Stack);
//# sourceMappingURL=index.js.map