import React from 'react';
import { fireEvent, render } from '@testing-library/react-native';
import { NativeBaseProvider } from 'native-base';
import { Switch } from '../..';
jest.useFakeTimers();
describe('Switch', () => {
  it('onToggle on Switch', () => {
    let {
      getAllByRole
    } = render( /*#__PURE__*/React.createElement(NativeBaseProvider, null, /*#__PURE__*/React.createElement(Switch, null)));
    let switches = getAllByRole('switch');
    expect(switches[0].props.accessibilityState.checked).toBe(false);
    fireEvent.press(switches[0]);
    expect(switches[0].props.accessibilityState.checked).toBe(true);
  });
  it('can be default checked', () => {
    let {
      getAllByRole
    } = render( /*#__PURE__*/React.createElement(NativeBaseProvider, null, /*#__PURE__*/React.createElement(Switch, {
      defaultIsChecked: true
    })));
    let switches = getAllByRole('switch');
    expect(switches[0].props.accessibilityState.checked).toBe(true);
  });
  it('can be disabled', () => {
    let {
      getAllByRole
    } = render( /*#__PURE__*/React.createElement(NativeBaseProvider, null, /*#__PURE__*/React.createElement(Switch, {
      isDisabled: true
    })));
    let switches = getAllByRole('switch');
    expect(switches[0].props.accessibilityState.disabled).toBe(true);
  });
});
//# sourceMappingURL=switch.test.js.map