import { mode } from '../tools';

const baseStyle = props => {
  let {
    onTrackColor,
    offTrackColor,
    onThumbColor,
    offThumbColor
  } = props;
  return {
    offTrackColor: offTrackColor !== null && offTrackColor !== void 0 ? offTrackColor : mode('gray.100', 'gray.900')(props),
    onTrackColor: onTrackColor !== null && onTrackColor !== void 0 ? onTrackColor : mode('green.300', 'green.700')(props),
    onThumbColor: onThumbColor !== null && onThumbColor !== void 0 ? onThumbColor : mode('white', 'black')(props),
    offThumbColor: offThumbColor !== null && offThumbColor !== void 0 ? offThumbColor : mode('white', 'black')(props)
  };
};

const sizes = {
  sm: {
    transform: [{
      scale: 0.75
    }]
  },
  md: {},
  lg: {
    transform: [{
      scale: 1.25
    }],
    margin: 1
  }
};
const defaultProps = {
  size: 'md'
};
export default {
  baseStyle,
  sizes,
  defaultProps
};
//# sourceMappingURL=switch.js.map