import type { ViewStyle } from 'react-native';
import type { BorderProps, ColorProps, FlexboxProps, LayoutProps, SpaceProps } from 'styled-system';
import type { customBackgroundProps, customBorderProps, customExtraProps, customLayoutProps, customOutlineProps, customShadowProps } from '../../../utils/customProps';
import type { Props as tooltipProps } from './Tooltip';
declare type SpaceType = 'xs' | 'sm' | 'md' | 'lg' | 'xl' | 'full';
export declare type IPopoverProps = ColorProps & SpaceProps & LayoutProps & FlexboxProps & customBorderProps & customExtraProps & customOutlineProps & customShadowProps & customLayoutProps & customBackgroundProps & tooltipProps & BorderProps & {
    style?: ViewStyle;
    initialFocusRef?: any;
    finalFocusRef?: any;
    children: JSX.Element | JSX.Element[];
    onOpen?: Function;
    onClose?: Function;
    closeOnBlur?: boolean;
    id?: any;
    size?: SpaceType | string | number;
};
export {};
