import { Dict } from './../tools';
declare function variantGhost(props: Dict): {
    color: any;
    bg?: undefined;
} | {
    color: any;
    bg: string;
};
declare function variantOutline(props: Dict): {
    color: any;
    bg?: undefined;
    border: string;
    borderColor: any;
} | {
    color: any;
    bg: string;
    border: string;
    borderColor: any;
};
declare function variantSolid(props: Dict): {
    bg: any;
    color?: undefined;
} | {
    bg: any;
    color: any;
};
declare function variantLink(props: Dict): {
    padding: number;
    height: string;
    color: any;
    textDecorationLine: string;
};
declare function variantUnstyled(): {
    m: number;
    p: number;
};
declare const _default: {
    baseStyle: {
        borderRadius: string;
        fontWeight: string;
        display: string;
        flexDirection: string;
        justifyContent: string;
        alignItems: string;
    };
    variants: {
        ghost: typeof variantGhost;
        outline: typeof variantOutline;
        solid: typeof variantSolid;
        link: typeof variantLink;
        unstyled: typeof variantUnstyled;
    };
    sizes: {
        lg: {
            minH: number;
            minW: number;
            fontSize: string;
            px: number;
            py: number;
        };
        md: {
            minH: number;
            minW: number;
            fontSize: string;
            px: number;
            py: number;
        };
        sm: {
            minH: number;
            minW: number;
            fontSize: string;
            px: number;
            py: number;
        };
        xs: {
            minH: number;
            minW: number;
            fontSize: string;
            px: number;
        };
    };
    defaultProps: {
        variant: string;
        size: string;
        colorScheme: string;
    };
};
export default _default;
