import React, { ReactNode } from 'react';
export interface HoverableProps {
    onHoverIn?: () => void;
    onHoverOut?: () => void;
    children: ((isHovered: boolean) => ReactNode) | ReactNode;
}
export default function Hoverable({ onHoverIn, onHoverOut, children, }: HoverableProps): React.DetailedReactHTMLElement<{
    onMouseEnter: () => void;
    onMouseLeave: () => void;
    onResponderGrant: () => void;
    onResponderRelease: () => void;
    onPressIn: () => void;
    onPressOut: () => void;
}, HTMLElement>;
